Subject: [PATCH] spi-orion: add device tree binding

From: [email-masked] (Mark Brown)
Date: Mon, 23 Jul 2012 12:12:47 +0100

On Mon, Jul 23, 2012 at 12:59:45PM +0200, Andrew Lunn wrote:
> On Mon, Jul 23, 2012 at 11:43:34AM +0100, Mark Brown wrote:
> > On Mon, Jul 23, 2012 at 12:08:09PM +0200, Andrew Lunn wrote:

> > > +Optional properties:
> > > +- interrupts : Is currently not used.

> > Would it not be better to just omit this if it doesn't do anything and
> > doesn't have any semantics defined?

> I was specifically asked to include this, which is why it appeared in
> v2, not the first version. I forget who it was who asked for it, maybe
> Arnd Bergmann? I can dig through my email archive if you want to know.

If you're going to include it you should define some sematics for it.
You could define an optional "yohNg1ai" property too...
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20120723/d1e789c4/attachment.sig>